Bug 1198713

Summary: webkitgtk package needs source update for epel ppc64le/aarch64
Product: [Fedora] Fedora EPEL Reporter: Menanteau Guy <menantea>
Component: webkitgtkAssignee: Kevin Fenzi <kevin>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: huzaifas, kevin, martin.sourada, mtasaka, tpopela, yselkowi
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64le   
OS: Linux   
Whiteboard:
Fixed In Version: webkitgtk-2.4.9-1.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-31 23:29:13 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1285479    
Bug Blocks: 1197165, 1285484    

Description Menanteau Guy 2015-03-04 16:58:01 UTC
Source package webkitgtk-2.2.4-1 used by EPEL7 does not support ppc64le.
A newer version supporting this architecture should be used instead.

Comment 1 Tomas Popela 2015-03-05 08:09:00 UTC
If I remeber things correctly that support for ppc64le landed in 2.4.x and I don't think we will rebase to that version. The support for ppc64le is the matter of backporting this patch https://bugs.webkit.org/show_bug.cgi?id=135647 to 2.2.x sources.

Comment 2 Yaakov Selkowitz 2015-11-25 17:33:50 UTC
aarch64 is similarly affected.  RHEL 7.2 rebased webkitgtk3 to 2.4.9, so I think it would be appropriate for webkitgtk to do the same.  Furthermore, due to geoclue2's (IMHO erroneous) obsoletes of geoclue (bug 1221940 and bug 1285479), webkitgtk really needs to be updated in order to use the former.

Comment 3 Fedora Update System 2015-11-30 11:18:08 UTC
webkitgtk-2.4.9-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e8a59bbd07

Comment 4 Fedora Update System 2015-12-01 00:22:45 UTC
webkitgtk-2.4.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update webkitgtk'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e8a59bbd07

Comment 5 Fedora Update System 2015-12-31 23:29:10 UTC
webkitgtk-2.4.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.